## org.eclipse.datatools.sqltools.core
Class ServerIdentifier

    java.lang.Object
      org.eclipse.datatools.sqltools.core.ServerIdentifier

public class ServerIdentifier
extends java.lang.Object

A server identifier is used to uniquely identify a server.

Author:
  Yang Liu, Hui Cao

Constructor Summary
`ServerIdentifier(java.lang.String host, java.lang.String port, java.lang.String url, DatabaseVendorDefinitionId procIdentifier)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`DatabaseVendorDefinitionId` `getDatabaseVendorDefinitionId()`
`java.lang.String` `getHost()`
`java.lang.String` `getPort()`
`java.lang.String` `getUrl()`
`int` `hashCode()`
`static java.util.ArrayList` `parseUrl(java.lang.String url1)` Parses the url and put protocol, host and port into an ArrayList.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerIdentifier

    public ServerIdentifier(java.lang.String host,
                            java.lang.String port,
                            java.lang.String url,
                            DatabaseVendorDefinitionId procIdentifier)

Method Detail

### getHost

    public java.lang.String getHost()

### getPort

    public java.lang.String getPort()

### getUrl

    public java.lang.String getUrl()

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getDatabaseVendorDefinitionId

    public DatabaseVendorDefinitionId getDatabaseVendorDefinitionId()

### parseUrl

    public static java.util.ArrayList parseUrl(java.lang.String url1)

  Parses the url and put protocol, host and port into an ArrayList. Since different database may have different format of url, we can only make sure that this method works fine for Sybase database. For example, MSSQL: jdbc:microsoft:sqlserver://MyServer:1433 DB2_7: jdbc.db2://myHost:6789/myDatabase

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.